# Copyright (C) 2024 Manuel Bustillo

# == Schema Information
#
# Table name: tables_arrangements
#
#  id         :uuid             not null, primary key
#  discomfort :integer
#  name       :string           not null
#  created_at :datetime         not null
#  updated_at :datetime         not null
#
class TablesArrangement < ApplicationRecord
  has_many :seats
  has_many :guests, through: :seats

  before_create :assign_name

  private

  def assign_name
    self.name = "#{Faker::Adjective.positive} #{Faker::Creature::Animal.name}".capitalize
  end
end
