# Copyright (C) 2024 Manuel Bustillo

require 'swagger_helper'

RSpec.describe 'sessions', type: :request do
  path '/session' do
    delete('delete session') do
      tags 'Sessions'
      produces 'application/json'
      response_empty_200
    end

    post('create session') do
      tags 'Sessions'
      consumes 'application/json'
      produces 'application/json'
      parameter name: :body, in: :body, schema: {
        type: :object,
        required: %i[email_address password],
        properties: {
          email_address: { type: :string, format: :email },
          password: { type: :string }
        }
      }

      response_empty_201
      response_401
      response_429
    end
  end
end
